import request from "@/utils/request";
import settings from "@/settings";
const systemPrefix = settings.systemPrefix;
// 查询机构层级列表
export function queryDepartLevel(param) {
    return request(`${systemPrefix}/im/dhc/sys/automake/system/department/param/departlevelListController.do`, {
        method: 'post',
        data: param,
        requestType: 'form'
    });
}

export function getTabKeyRule(param) {
    return request(`${systemPrefix}/system/select/options/getTabKeyRule.do`, {
        method: 'post',
        data: param,
        requestType: 'form'
    });
}

export function searchCurrency(param) {
    return request(`${systemPrefix}/system/select/options/getTabKeyRule.do`, {
        method: 'post',
        data: param,
        requestType: 'form'
    });
}

export function queryDepartLevelInfo(param) {
    return request(`${systemPrefix}/automake/controller/system/department/param/QueryDepartLevelInfoController.do`, {
        method: 'post',
        data: param,
        requestType: 'form',
        headers: {
            "X-Requested-With": "XMLHttpRequest"
        }
    });
}
